gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.InterfaceInfo

Contents

- Exported types
- Methods
- Properties
  - interfaceData
  - interfaceFinalize
  - interfaceInit

Description

A structure that provides information to the type system which is used specifically for managing interface types.

Synopsis

- newtype InterfaceInfo = InterfaceInfo (ManagedPtr InterfaceInfo)
- newZeroInterfaceInfo :: MonadIO m => m InterfaceInfo
- clearInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> m ()
- getInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> m (Ptr ())
- setInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> Ptr () -> m ()
- clearInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> m ()
- getInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> m (Maybe InterfaceFinalizeFunc)
- setInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> FunPtr C_InterfaceFinalizeFunc -> m ()
- clearInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> m ()
- getInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> m (Maybe InterfaceInitFunc)
- setInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> FunPtr C_InterfaceInitFunc -> m ()

# Exported types

newtype InterfaceInfo Source #

Memory-managed wrapper type.

Constructors

InterfaceInfo (ManagedPtr InterfaceInfo) |

#### Instances

Instances details

Eq InterfaceInfo Source # |
Instance details Defined in GI.GObject.Structs.InterfaceInfo Methods (==) :: InterfaceInfo -> InterfaceInfo -> Bool Source # (/=) :: InterfaceInfo -> InterfaceInfo -> Bool Source #
BoxedPtr InterfaceInfo Source # |
Instance details Defined in GI.GObject.Structs.InterfaceInfo Methods boxedPtrCopy :: InterfaceInfo -> IO InterfaceInfo Source # boxedPtrFree :: InterfaceInfo -> IO () Source #
CallocPtr InterfaceInfo Source # |
Instance details Defined in GI.GObject.Structs.InterfaceInfo Methods boxedPtrCalloc :: IO (Ptr InterfaceInfo) Source #
ManagedPtrNewtype InterfaceInfo Source # |
Instance details Defined in GI.GObject.Structs.InterfaceInfo Methods toManagedPtr :: InterfaceInfo -> ManagedPtr InterfaceInfo Source #
tag ~ 'AttrSet => Constructible InterfaceInfo tag Source # |
Instance details Defined in GI.GObject.Structs.InterfaceInfo Methods new :: MonadIO m => (ManagedPtr InterfaceInfo -> InterfaceInfo) -> [AttrOp InterfaceInfo tag] -> m InterfaceInfo Source #

newZeroInterfaceInfo :: MonadIO m => m InterfaceInfo Source #

Construct a `InterfaceInfo` struct initialized to zero.

# Methods

# Properties

## interfaceData

user-supplied data passed to the interface init/finalize functions

clearInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> m () Source #

Set the value of the “`interface_data`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #interfaceData

getInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> m (Ptr ()) Source #

Get the value of the “`interface_data`” field. When overloading is enabled, this is equivalent to

    get interfaceInfo #interfaceData

setInterfaceInfoInterfaceData :: MonadIO m => InterfaceInfo -> Ptr () -> m () Source #

Set the value of the “`interface_data`” field. When overloading is enabled, this is equivalent to

    set interfaceInfo [ #interfaceData := value ]

## interfaceFinalize

location of the interface finalization function

clearInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> m () Source #

Set the value of the “`interface_finalize`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #interfaceFinalize

getInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> m (Maybe InterfaceFinalizeFunc) Source #

Get the value of the “`interface_finalize`” field. When overloading is enabled, this is equivalent to

    get interfaceInfo #interfaceFinalize

setInterfaceInfoInterfaceFinalize :: MonadIO m => InterfaceInfo -> FunPtr C_InterfaceFinalizeFunc -> m () Source #

Set the value of the “`interface_finalize`” field. When overloading is enabled, this is equivalent to

    set interfaceInfo [ #interfaceFinalize := value ]

## interfaceInit

location of the interface initialization function

clearInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> m () Source #

Set the value of the “`interface_init`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #interfaceInit

getInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> m (Maybe InterfaceInitFunc) Source #

Get the value of the “`interface_init`” field. When overloading is enabled, this is equivalent to

    get interfaceInfo #interfaceInit

setInterfaceInfoInterfaceInit :: MonadIO m => InterfaceInfo -> FunPtr C_InterfaceInitFunc -> m () Source #

Set the value of the “`interface_init`” field. When overloading is enabled, this is equivalent to

    set interfaceInfo [ #interfaceInit := value ]